### Hierarchy

- HeaderColumn

## Index

### Properties

- className
- label
- renderer
- resizable
- sortable
- style

## Properties

### className

className: string

Specifies CSS class names to apply to column headers. See the Help documentation for more information.

### label

label: HeaderColumnLabel

Specifies attributes on the column header labels.

### renderer

renderer: null

A function that returns column header content. The function takes a context argument, provided by the datagrid. See the Help documentation for more information.

### resizable

resizable: HeaderColumnResizable

Specifies resizing options along the column headers.

### sortable

sortable: string

Specifies whether sorting is enabled on the column headers. See the Help documentation for more information.

### style

style: string

Specifies inline style to add to the column headers. See the Help documentation for more information.

Generated using TypeDoc